IntelliCAD
BricsCAD & getInterfaceObject
Hi!

In AutoCAD I can open a dwg-drawing in the background by using ObjectDBX in a way like that:
(setq dbxdoc (vla-open (vla-GetInterfaceObject (vlax-get-acad-object) "ObjectDBX.AxDbDocument.nn") stringDwgName))

Now I was wondering, since BricsCAD knows the method vla-GetInterfaceObject, if it was possible to do the same (open a dwg-drawing in the background) with another ProgID. Unfortunately it does not work with "ObjectDBX.AxDbDocument.nn", like in AutoCAD.

Does anybody know if that is pos… – IntelliCAD

Hi!

In AutoCAD I can open a dwg-drawing in the background by using ObjectDBX in a way like that:
(setq dbxdoc (vla-open (vla-GetInterfaceObject (vlax-get-acad-object) "ObjectDBX.AxDbDocument.nn") stringDwgName))

Now I was wondering, since BricsCAD knows the method vla-GetInterfaceObject, if it was possible to do the same (open a dwg-drawing in the background) with another ProgID. Unfortunately it does not work with "ObjectDBX.AxDbDocument.nn", like in AutoCAD.

Does anybody know if that is pos… – IntelliCAD

Source: News from IntelliCAD and Friends… – BricsCAD & getInterfaceObject
Go to Source: News from IntelliCAD and Friends…